/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright (C) 2001-2013 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../../gdb/gdbserver/../regformats/i386/i386-linux.dat''.  */

#include "server.h"
#include "regdef.h"
#include "tdesc.h"

const struct target_desc *tdesc_i386_linux;

void
init_registers_i386_linux (void)
{
  static struct target_desc tdesc_i386_linux_s;
  struct target_desc *result = &tdesc_i386_linux_s;
  tdesc_create_reg ((struct tdesc_feature *) result, "eax",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ecx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "edx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ebx",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "esp",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ebp",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "esi",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "edi",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "eip",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "eflags",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "cs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ss",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ds",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "es",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "gs",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st0",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st1",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st2",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st3",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st4",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st5",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st6",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "st7",
  0, 0, NULL, 80, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fctrl",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fstat",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "ftag",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fiseg",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fioff",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "foseg",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fooff",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "fop",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm0",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm1",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm2",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm3",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm4",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm5",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm6",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "xmm7",
  0, 0, NULL, 128, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "mxcsr",
  0, 0, NULL, 32, NULL);
  tdesc_create_reg ((struct tdesc_feature *) result, "orig_eax",
  0, 0, NULL, 32, NULL);

static const char *expedite_regs_i386_linux[] = { "ebp", "esp", "eip", 0 };
static const char *xmltarget_i386_linux = "i386-linux.xml";

#ifndef IN_PROCESS_AGENT
  result->expedite_regs = expedite_regs_i386_linux;
  result->xmltarget = xmltarget_i386_linux;
#endif

  init_target_desc (result);

  tdesc_i386_linux = result;
}
